"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const C = require("@collectable/core");
const core_1 = require("@collectable/core");
const internals_1 = require("../internals");
const set_1 = require("./set");
function fromObject(obj, compare, mutability) {
    if (C.isMutationContext(compare)) {
        mutability = compare;
        compare = void 0;
    }
    if (core_1.isUndefined(compare)) {
        compare = core_1.stringCompare;
    }
    const tree = C.modify(internals_1.createTree(compare, mutability));
    const keys = Object.keys(obj);
    for (var i = 0; i < keys.length; i++) {
        var key = keys[i];
        set_1.set(key, obj[key], tree);
    }
    return C.commit(tree);
}
exports.fromObject = fromObject;
//# sourceMappingURL=fromObject.js.map