"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const size_1 = require("./size");
const iterateFromFirst_1 = require("./iterateFromFirst");
const NOMAP = () => { };
function toArray(arg, tree) {
    var map;
    if (core_1.isUndefined(tree)) {
        tree = arg;
        map = NOMAP;
    }
    else {
        map = arg;
    }
    var array = new Array(size_1.size(tree));
    var it = iterateFromFirst_1.iterateFromFirst(tree);
    var i, entry;
    if (map === NOMAP) {
        for (i = 0; i < array.length; i++) {
            array[i] = it.next().value;
        }
    }
    else {
        for (i = 0; i < array.length; i++) {
            entry = it.next().value;
            array[i] = map(entry.value, entry.key, i);
        }
    }
    return array;
}
exports.toArray = toArray;
//# sourceMappingURL=toArray.js.map