import { isRedBlackTree as _isRedBlackTree } from '../internals';
/**
 * Determines whether the input argument is an instance of a Collectable.js RedBlackTree structure.
 *
 * @export
 * @param {RedBlackTreeStructure<K, V>} arg The input value to check
 * @returns {boolean} True if the input value is a RedBlackTree, otherwise false
 */
export function isRedBlackTree(arg) {
    return _isRedBlackTree(arg);
}
//# sourceMappingURL=isRedBlackTree.js.map